<template>
    <main class="note layout-block">
        <note-editor :id="id" />
    </main>
</template>

<script setup>
import { watchEffect } from 'vue'
import { useMagicKeys } from '@vueuse/core'
import { useRoute } from 'vue-router'
import NoteEditor from '@/components/note/Editor.vue'

const route = useRoute()
const id = route.params.id

const { ctrl, f } = useMagicKeys()
watchEffect(() => {
    if (ctrl.value && f.value) {
        console.log('find')
    }
})
</script>

<style lang="scss">
main.note {
    padding-top: 8px;
    padding-bottom: 20px;
}
</style>
